{% from "bootstrap5/form.html" import quick_form, render_field %}
{% extends "process_runner.html" %}
{% block title %}{{title}}{% endblock %}

{% block before_form %}
<div class="row">
	<div class="col-2 gx-4 gy-2">
		Memory total:
	</div>
	<div class="col-2 g-2">
		{{ (meminfo["MemTotal"] * 1024) | filesizeformat(binary=True) }}
	</div>
</div>

<div class="row">
	<div class="col-2 gx-4 gy-2">
		Available:
	</div>
	<div class="col-2 g-2">
		{{ (meminfo["MemAvailable"] * 1024) | filesizeformat(binary=True) }}
	</div>
</div>
{% endblock %}

{% block form_fields %}
	<div class="row">
		<div class="col-4 g-4">
			{{ render_field(form.memory) }}
			e.g. 4096B, 100K, 10M, 1G
		</div>
		<div class="col-4 g-4">
			{{ render_field(form.iterations) }}
		</div>
	</div>

	<div class="row">
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_random_value) }}
		</div>
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_seq_inc) }}
		</div>
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_solid_bits) }}
		</div>
	</div>

	<div class="row">
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_cmp_xor) }}
		</div>
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_block_seq) }}
		</div>
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_checkerboard) }}
		</div>
	</div>

	<div class="row">
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_cmp_sub) }}
		</div>
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_bit_spread) }}
		</div>
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_bit_flip) }}
		</div>
	</div>

	<div class="row">
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_cmp_mul) }}
		</div>
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_walking_one) }}
		</div>
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_walking_zeroes) }}
		</div>
	</div>

	<div class="row">
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_cmp_div) }}
		</div>
		<div class="col-3 gx-4 gy-2"></div>
		<div class="col-3 gx-4 gy-2"></div>
	</div>

	<div class="row">
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_cmp_or) }}
		</div>
		<div class="col-3 gx-4 gy-2"></div>
		<div class="col-3 gx-4 gy-2"></div>
	</div>

	<div class="row">
		<div class="col-3 gx-4 gy-2">
			{{ render_field(form.test_cmp_and) }}
		</div>
		<div class="col-3 gx-4 gy-2"></div>
		<div class="col-3 gx-4 gy-2"></div>
	</div>
{% endblock %}
